Commit bfa75849 authored by Pierre Dittgen's avatar Pierre Dittgen
Browse files

Upgrade to last version of frictionless-py (`4.18.2`)

parent d6e9b2ea
......@@ -6,59 +6,63 @@
#
attrs==21.2.0
# via jsonschema
certifi==2020.12.5
certifi==2021.5.30
# via requests
chardet==4.0.0
# via
# frictionless
# requests
click==7.1.2
# via frictionless
charset-normalizer==2.0.6
# via requests
click==8.0.1
# via typer
colorama==0.4.4
# via typer
decorator==5.0.9
decorator==5.1.0
# via validators
et-xmlfile==1.1.0
# via openpyxl
ezodf==0.3.2
# via validata-core (setup.py)
frictionless[excel]==4.10.6
frictionless[excel]==4.18.2
# via validata-core (setup.py)
idna==2.10
idna==3.2
# via requests
importlib-resources==5.1.4
importlib-resources==5.2.2
# via validata-core (setup.py)
isodate==0.6.0
# via frictionless
jsonschema==3.2.0
jsonschema==4.0.1
# via frictionless
lxml==4.6.3
# via validata-core (setup.py)
numpy==1.20.3
marko==1.1.0
# via frictionless
numpy==1.21.2
# via pandas
opening-hours-py==0.5.2
# via validata-core (setup.py)
openpyxl==3.0.7
# via validata-core (setup.py)
pandas==1.2.4
openpyxl==3.0.9
# via
# frictionless
# validata-core (setup.py)
pandas==1.3.3
# via tablib
petl==1.7.4
# via frictionless
pyrsistent==0.17.3
pyrsistent==0.18.0
# via jsonschema
python-dateutil==2.8.1
python-dateutil==2.8.2
# via
# frictionless
# pandas
python-slugify==5.0.2
# via frictionless
python-stdnum==1.16
python-stdnum==1.17
# via validata-core (setup.py)
pytz==2021.1
pytz==2021.3
# via pandas
pyyaml==5.4.1
# via frictionless
requests==2.25.1
requests==2.26.0
# via
# frictionless
# validata-core (setup.py)
......@@ -71,7 +75,6 @@ simpleeval==0.9.10
six==1.16.0
# via
# isodate
# jsonschema
# python-dateutil
# validators
stringcase==1.2.0
......@@ -82,14 +85,15 @@ text-unidecode==1.3
# via python-slugify
toolz==0.11.1
# via validata-core (setup.py)
typer[all]==0.3.2
typer[all]==0.4.0
# via frictionless
urllib3==1.26.4
urllib3==1.26.7
# via requests
validators==0.18.2
# via frictionless
zipp==3.4.1
xlrd==2.0.1
# via frictionless
xlwt==1.3.0
# via frictionless
zipp==3.6.0
# via importlib-resources
# The following packages are considered to be unsafe in a requirements file:
# setuptools
......@@ -45,7 +45,7 @@ setup(
zip_safe=True,
install_requires=[
"ezodf",
"frictionless[excel] == 4.10.6",
"frictionless[excel] == 4.18.2",
"importlib_resources",
"openpyxl",
"lxml",
......
......@@ -18,4 +18,4 @@ def test_stats_rows_metrics():
# as soon as max errors count is reached, parsing stops.
#
# So stats rows can't be used for source rows count
assert report["tasks"][0]["resource"]["stats"]["rows"] == 2000
assert report["tasks"][0]["resource"]["stats"]["rows"] == 0
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment